
import { JsonUtil } from "db://oops-framework/core/utils/JsonUtil";

export class TableLevelConfig {
    static TableName: string = "LevelConfig";

    private data: any;

    init(level_id: number) {
        var table = JsonUtil.get(TableLevelConfig.TableName);
        this.data = table[level_id];
        this.level_id = level_id;
    }

    /** 编号【KEY】 */
    level_id: number = 0;

    /** 通关分数 */
    get name(): number {
        return this.data.name;
    }
    /** 消除次数 */
    get frequency(): number {
        return this.data.frequency;
    }
}
    